Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: Compile Error on latest BETA
From: David Fifield <david () bamsoftware com>
Date: Thu, 2 Apr 2009 07:40:43 -0600

On Wed, Apr 01, 2009 at 12:35:58PM +0200, Andreas Geesen wrote:
i can't compile your lastest beta of nmap. I want to use it for  
conficker detection.

Version nmap-4.85BETA6

running make i get at last this :

.....
make[1]: `nmap' is up to date.
cd zenmap && /usr/bin/python setup.py build
Traceback (most recent call last):
 File "setup.py", line 28, in ?
   import distutils.sysconfig
ImportError: No module named distutils.sysconfig
make[1]: *** [build-zenmap] Error 1
make[1]: Leaving directory `/root/nmap-4.85BETA6'
make: *** [all] Error 2

google and a search on your site yielded no applicable result to this.  
Python is installed.

You probably need to install the python-dev package in order to build
packages with distutils. distutils is used by Zenmap.

Zenmap is not required to run the Conficker script. You can also
configure like this:
        ./configure --without-zenmap

David Fifield

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://SecLists.Org


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault